Text To Video (Wan 2.1)

POSThttps://api.newportai.com/api/async/wan/text_to_video/2.1

The Text To Video (Wan 2.1) API automatically generates high-quality video content based on natural language descriptions. By providing a text prompt, users can leverage the Wan 2.1 model to create a five-second video corresponding to the input description.

  • Submit a POST request to the Text To Video (Wan 2.1) API to obtain a taskId.
  • Submit a POST request to the Polling API to retrieve the generated video results.
  • Configure a Callback URL to receive results automatically on completion.

Request Headers

Content-Type string Required

Enum: application/json

Authorization string Required

Bearer authentication token. Example: Bearer {{APIKey}}.

Request Body

prompt string Required

The text description of the video to be generated. Must be fewer than 1,500 characters.

resolution string Optional

Specifies the output video resolution. Supported values: 480p, 720p. Default: 480p.

Response

code integer

Returns 0 for success, or a specific error code.

message string

Returns "success" or a descriptive error message.

data object
taskId string

The unique identifier for the task. Use this ID with the Polling API to retrieve the generated output.

Errors

10192Illegal param

Polling

Use the Polling API to retrieve the processing results.

Callback

Alternatively, you can enable Callback to receive task results automatically upon completion.

0Task Completed
{
    "code": 0,
    "message": "success",
    "data": {
        "task": {
            "taskId": "aa80298fbc2c46d78fd35c9d82d518c0",
            "status": 3,
            "executionTime": 32520,
            "expire": 1756974988050,
            "taskType": "wan/text_to_video/2.1"
        },
        "videos": [
            {
                "videoType": "mp4",
                "videoUrl": "https://dreamface-resource-aigc.oss-us-east-1.aliyuncs.com/dreamapi/o/2025-09-02/a53c5f7cc6ee454da471150b996ebde1.mp4"
            }
        ]
    }
}
Request
cURL
curl -X POST 'https://api.newportai.com/api/async/wan/text_to_video/2.1' \
  -H "Authorization: Bearer {{key}}" \
  -H 'Content-Type: application/json' \
  -d '{
  "prompt":"Two anthropomorphic cats in comfy boxing gear and bright gloves fight intensely on a spotlighted stage.",
  "resolution":"480p"
}'
0Successful
{
    "code": 0,
    "message": "success",
    "data": {
        "taskId": "aa80298fbc2c46d78fd35c9d82d518c0"
    }
}